--- title: "addNetworkInterfaceAccessControlGroup" slug: "compute-vserver-networkinterface-addnetworkinterfaceaccesscontrolgroup" updated: 2026-09-17T10:06:00Z published: 2026-09-17T10:06:00Z canonical: "api.ncloud-docs.com/compute-vserver-networkinterface-addnetworkinterfaceaccesscontrolgroup" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # addNetworkInterfaceAccessControlGroup Available in VPC Add an ACG to be applied to a network interface. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vserver/v2/addNetworkInterfaceAccessControlGroup | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Server APIs, see [Server request headers](/docs/en/compute-vserver#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default) | | `networkInterfaceNo` | String | Required | Network interface number - See [getNetworkInterfaceList](/docs/en/compute-vserver-networkinterface-getnetworkinterfacelist). | | `accessControlGroupNoList.N` | Array | Required | ACG number list - See [getAccessControlGroupList](/docs/en/compute-vserver-acg-getaccesscontrolgrouplist). - Up to 3 can be entered per network interface. - Example: `accessControlGroupNoList.1=1234&accessControlGroupNoList.2=2345` | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vserver/v2/addNetworkInterfaceAccessControlGroup ?regionCode=KR &networkInterfaceNo=70***6 &accessControlGroupNoList.1=6***1 &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `addNetworkInterfaceAccessControlGroupResponse` | Object | - | Response result - See [NetworkInterfaceList](/docs/en/common-vapidatatype-networkinterfacelist). | | `addNetworkInterfaceAccessControlGroupResponse.requestId` | String | - | ID for the request - UUID format | | `addNetworkInterfaceAccessControlGroupResponse.returnCode` | String | - | Response code | | `addNetworkInterfaceAccessControlGroupResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the response status codes common to all Server APIs, see [Server response status codes](/docs/en/compute-vserver#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "addNetworkInterfaceAccessControlGroupResponse": { "totalRows": 1, "networkInterfaceList": [ { "networkInterfaceNo": "70***6", "networkInterfaceName": "nic-70***6", "subnetNo": "3***4", "deleteOnTermination": true, "isDefault": true, "deviceName": "eth0", "networkInterfaceStatus": { "code": "USED", "codeName": "In use" }, "instanceType": { "code": "VSVR", "codeName": "Server (VPC)" }, "instanceNo": "10*****18", "ip": "10.0.10.6", "macAddress": "F2:**:**:**:**:AC", "enableFlowLog": false, "accessControlGroupNoList": [ "1***1", "6***1" ], "networkInterfaceDescription": "", "secondaryIpList": [] } ], "requestId": "75216bb7-****-****-****-55a2ec27e561", "returnCode": "0", "returnMessage": "success" } } ```